## wxWindowDestroyEvent

This event is sent just before the actual window associated with a wxWindow object is destroyed. Since it is derived from wxCommandEvent, the event propagates up the window hierarchy.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a window destruction event, use this event handler macro to direct input to a member function that takes a wxWindowDestroyEvent argument.

EVT_WINDOW_DESTROY(func) | Process a wxEVT_DESTROY event.

See also

Event handling overview, wxWindowCreateEvent

Members

wxWindowDestroyEvent::wxWindowDestroyEvent

### wxWindowDestroyEvent::wxWindowDestroyEvent

wxWindowDestroyEvent(wxWindow* win = NULL)

Constructor.